%global gem_name memfs

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: fake file system that can be used for tests
Group: Development/Languages
License: MIT
URL: http://github.com/simonc/memfs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rspec) => 3.0
BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
MemFs provides a fake file system that can be used for tests. Strongly
inspired by FakeFS.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




%check
pushd .%{gem_instdir}
# We don't care about coverage.
sed -i '/[Cc]overalls/ s/^/#/' spec/spec_helper.rb

rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/memfs.png
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/memfs.png
%{gem_instdir}/Rakefile
%{gem_instdir}/memfs.gemspec
%{gem_instdir}/spec
%{gem_instdir}/Guardfile

%changelog
* Fri Feb 03 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.0.0-1
- Initial package
